Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] xbps-src: redirect various error msg to stderr
@ 2019-07-10  8:32 voidlinux-github
  2019-07-18  6:33 ` voidlinux-github
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: voidlinux-github @ 2019-07-10  8:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 389 bytes --]

There is a new pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages xbps-src
https://github.com/void-linux/void-packages/pull/12962

xbps-src: redirect various error msg to stderr
ref: https://github.com/void-linux/void-packages/issues/12907

A patch file from https://github.com/void-linux/void-packages/pull/12962.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-xbps-src-12962.patch --]
[-- Type: application/text/x-diff, Size: 2218 bytes --]

From 4956e7fb585079270eb202ae9553a4e7eec1d8ea Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 10 Jul 2019 15:31:21 +0700
Subject: [PATCH] xbps-src: redirect various error msg to stderr

---
 xbps-src | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/xbps-src b/xbps-src
index 23d6164b18a..9fbdf4aec01 100755
--- a/xbps-src
+++ b/xbps-src
@@ -214,7 +214,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -223,7 +223,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS_BOOTSTRAP}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -242,7 +242,7 @@ check_config_vars() {
         [ ! -d $XBPS_HOSTDIR ] && mkdir -p $XBPS_HOSTDIR
     fi
     if [ -d "$XBPS_MASTERDIR" -a ! -w "$XBPS_MASTERDIR" ]; then
-        echo "ERROR: not enough perms for masterdir $XBPS_MASTERDIR."
+        echo "ERROR: not enough perms for masterdir $XBPS_MASTERDIR." 1>&2
         exit 1
     fi
 }
@@ -257,8 +257,8 @@ check_build_requirements() {
     if [ -z "$found" ]; then
         xbps-uhelper cmpver "$XBPS_VERSION" "$XBPS_VERSION_REQ"
         if [ $? -eq 255 ]; then
-            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}"
-            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'"
+            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" 1>&2
+            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" 1>&2
             exit 1
         fi
     fi
@@ -462,7 +462,7 @@ if command -v chroot-git &>/dev/null; then
 elif command -v git &>/dev/null; then
 	XBPS_GIT_CMD=$(command -v git)
 else
-    echo "neither chroot-git or git are available in your system!"
+    echo "neither chroot-git or git are available in your system!" 1>&2
     exit 1
 fi
 

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2019-07-24 13:13 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-07-10  8:32 [PR PATCH] xbps-src: redirect various error msg to stderr voidlinux-github
2019-07-18  6:33 ` voidlinux-github
2019-07-18  7:09 ` voidlinux-github
2019-07-18  7:32 ` [PR PATCH] [Updated] " voidlinux-github
2019-07-18  7:32 ` voidlinux-github
2019-07-19 10:40 ` voidlinux-github
2019-07-24 13:13 ` voidlinux-github
2019-07-24 13:13 ` [PR PATCH] [Merged]: " voidlinux-github

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).